0

I'm having some issues with Laspy and reading in .laz files. Previously I have had no problem with this, but it has stopped working.

Initially I had a problem with the following error message: "laspy.util.LaspyException: Laszip was not found on the system"

I eventually got rid of this error using the top comment from here (although I already had the whole LAStools package so I don't understand why I needed to add it again).

However, this now throws up a new error with the following message(s):

  File "<ipython-input-3-025be98bbf71>", line 1, in <module>
    inFile2 = File('/path/to/data/file/myfile.laz', mode='r')

  File "/path/anaconda3/lib/python3.7/site-packages/laspy/file.py", line 64, in __init__
    self.open()

  File "/path/anaconda3/lib/python3.7/site-packages/laspy/file.py", line 75, in open
    self._reader = base.Reader(self.filename, mode=self._mode)

  File "/path/anaconda3/lib/python3.7/site-packages/laspy/base.py", line 273, in __init__
    self.setup_read_write(vlrs,evlrs, read_only=True)

  File "/path/anaconda3/lib/python3.7/site-packages/laspy/base.py", line 321, in setup_read_write
    self.data_provider.point_map()

  File "/path/anaconda3/lib/python3.7/site-packages/laspy/base.py", line 176, in point_map
    count=self.manager.header.point_records_count)

TypeError: a bytes-like object is required, not 'FakeMmap'

I can't seem to find any help on this.

Note that I am using Laspy v1.6.0.

Also note that I do not want to just use .las rather than .laz

Any help?

2

There is some kind of a recession with the latest numpy. See https://github.com/laspy/laspy/issues/112#issuecomment-583180711 for details.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.